#Tarball of svn snapshot created as follows...
#Cut and paste in a shell after removing initial #

#svn co http://svn.enlightenment.org/svn/e/trunk/eet eet; \
#cd eet; \
#SVNREV=$(LANGUAGE=C svn info | grep "Last Changed Rev:" | cut -d: -f 2 | sed "s@ @@"); \
#v_maj=$(cat configure.ac | grep 'm4_define(\[v_maj\],' | cut -d' ' -f 2 | cut -d[ -f 2 | cut -d] -f 1); \
#v_min=$(cat configure.ac | grep 'm4_define(\[v_min\],' | cut -d' ' -f 2 | cut -d[ -f 2 | cut -d] -f 1); \
#v_mic=$(cat configure.ac | grep 'm4_define(\[v_mic\],' | cut -d' ' -f 2 | cut -d[ -f 2 | cut -d] -f 1); \
#PKG_VERSION=$v_maj.$v_min.$v_mic.$SVNREV; \
#cd ..; \
#tar -Jcf eet-$PKG_VERSION.tar.xz eet/ --exclude .svn --exclude .*ignore

%define snapshot 0
%if %{snapshot}
%define	svndate	20120103
%define	svnrev	66634
%endif

%define	major	1
%define	libname %mklibname %{name} %{major}
%define	develname %mklibname %{name} -d

Summary:	Eet library
Name:		eet
%if %{snapshot}
Version:	1.5.99.%{svnrev}
Release:	0.%{svndate}.1
%else
Version:	1.6.1
Release:	1
%endif
License:	BSD
Group:		Graphical desktop/Enlightenment
%if %{snapshot}
Source0:	%{name}-%{version}.tar.xz
%else
Source0:	http://download.enlightenment.org/releases/%{name}-%{version}.tar.gz
%endif
URL:		http://www.enlightenment.org/
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(eina) >= 1.0.0
BuildRequires:	pkgconfig(gnutls) >= 1.7.6
BuildRequires:	pkgconfig(zlib)
BuildRequires:	libgcrypt-devel

%description
Eet is a tiny library designed to write an arbitary set of chunks of data
to a file and optionally compress each chunk (very much like a zip file)
and allow fast random-access reading of the file later on. It does not
do zip as a zip itself has more complexity than is needed, and it was much
simpler to impliment this once here.

This package is part of the E17 desktop shell.

%package -n %{libname}
Summary:	Eet library
Group:		System/Libraries

%description -n %{libname}
This package contains the dynamic libraries from %{name}.

%package -n %{develname}
Summary:	Eet headers, libraries, documentation and test programs
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Headers and libraries from eet

%prep
%if %{snapshot}
%setup -qn %{name}
%else
%setup -q
%endif

%build

%if %{snapshot}
NOCONFIGURE=yes ./autogen.sh
%endif

%configure2_5x \
	--disable-static

%make

%install
rm -fr %{buildroot}
%makeinstall_std

%files
%doc AUTHORS COPYING README
%{_bindir}/%{name}

%files -n %{libname}
%{_libdir}/libeet.so.%{major}*

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/examples
%{_datadir}/%{name}/examples/*
%{_includedir}/eet*



%changelog
* Tue Jun 26 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.6.1-1
+ Revision: 807036
- BR: libgcrypt-devel
- version update 1.6.1

* Wed Jan 04 2012 Matthew Dawkins <mattydaw@mandriva.org> 1.5.99.66634-0.20120103.1
+ Revision: 750723
- fixed files list, added examples to devel pkg
- new svn snapshot 1.5.99.66801
- cleaned up spec and merged with Unity Linux spec
- disabled static build
- removed dualing openssl BR (gnutls is default)

* Sun May 29 2011 Funda Wang <fwang@mandriva.org> 1.4.1-1
+ Revision: 681647
- update to new version 1.4.1

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-2
+ Revision: 664123
- mass rebuild

* Sat Jan 29 2011 Funda Wang <fwang@mandriva.org> 1.4.0-1
+ Revision: 633902
- 1.4.0 final

* Sat Dec 18 2010 Funda Wang <fwang@mandriva.org> 1.4.0-0.beta3.2mdv2011.0
+ Revision: 622808
- rebuild

* Sat Dec 18 2010 Funda Wang <fwang@mandriva.org> 1.4.0-0.beta3.1mdv2011.0
+ Revision: 622781
- 1.4 beta3

* Sun Nov 14 2010 Funda Wang <fwang@mandriva.org> 1.4.0-0.beta2.1mdv2011.0
+ Revision: 597515
- 1.4.0 beta2

* Wed Oct 13 2010 Funda Wang <fwang@mandriva.org> 1.4.0-0.beta.1mdv2011.0
+ Revision: 585284
- fix file list
- 1.4.0 beta

* Fri Jul 09 2010 Funda Wang <fwang@mandriva.org> 1.3.2-1mdv2011.0
+ Revision: 549889
- New version 1.3.2

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-2mdv2010.1
+ Revision: 488749
- rebuilt against libjpeg v8

* Sun Dec 13 2009 Funda Wang <fwang@mandriva.org> 1.2.3-1mdv2010.1
+ Revision: 478094
- new version 1.2.3

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-2mdv2010.0
+ Revision: 416613
- rebuilt against libjpeg v7

* Fri Aug 07 2009 Funda Wang <fwang@mandriva.org> 1.2.2-1mdv2010.0
+ Revision: 411132
- New version 1.2.2

* Fri Aug 07 2009 Funda Wang <fwang@mandriva.org> 1.2.1-3mdv2010.0
+ Revision: 411062
- rebuild for new eina

* Tue Jul 07 2009 Funda Wang <fwang@mandriva.org> 1.2.1-2mdv2010.0
+ Revision: 393187
- rebuild for new eina

* Mon Jul 06 2009 Funda Wang <fwang@mandriva.org> 1.2.1-1mdv2010.0
+ Revision: 392850
- new version 1.2.1

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 1.2.0-1mdv2010.0
+ Revision: 370574
- New version 1.2.0

* Sat Feb 28 2009 Helio Chissini de Castro <helio@mandriva.com> 1.1.0-5mdv2009.1
+ Revision: 346018
- Rebuild again to see if packages arrive in right place

* Sat Feb 28 2009 Helio Chissini de Castro <helio@mandriva.com> 1.1.0-4mdv2009.1
+ Revision: 345898
- Rebuild to allow kdebase4-workspace compile

* Fri Feb 27 2009 Antoine Ginies <aginies@mandriva.com> 1.1.0-3mdv2009.1
+ Revision: 345458
- SVN SNAPSHOT 20090227, release 1.1.0

* Sun Dec 21 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.1.0-2mdv2009.1
+ Revision: 316857
- Rebuild because of missing package

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 1.1.0-1mdv2009.1
+ Revision: 292035
- New version 1.1.0

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-2mdv2009.0
+ Revision: 266614
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 1.0.1-1mdv2009.0
+ Revision: 213931
- New snapshot 1.0.1

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2009.0
+ Revision: 213930
- New major 0 -> 1
- New version 1.0.0

* Fri Feb 15 2008 Antoine Ginies <aginies@mandriva.com> 0.9.10.042-3mdv2008.1
+ Revision: 168738
- bump release to build E's libs in right order

* Fri Feb 01 2008 Austin Acton <austin@mandriva.org> 0.9.10.042-2mdv2008.1
+ Revision: 161241
- fix URL and provides

* Fri Feb 01 2008 Austin Acton <austin@mandriva.org> 0.9.10.042-1mdv2008.1
+ Revision: 161229
- new version
- tidy spec
- new devel naming policy

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 31 2007 Antoine Ginies <aginies@mandriva.com> 0.9.10.041-2mdv2008.1
+ Revision: 104085
- add missing eet bin
- CVS SNAPSHOT 20071031, release 0.9.10.041

* Thu Aug 30 2007 Antoine Ginies <aginies@mandriva.com> 0.9.10.041-1mdv2008.0
+ Revision: 76246
- fix path in tarball
- CVS SNAPSHOT 20070830, release 0.9.10.041

* Tue May 29 2007 Antoine Ginies <aginies@mandriva.com> 0.9.10.038-3mdv2008.0
+ Revision: 32619
- CVS SNAPSHOT 20070529, release 0.9.10.038

* Thu May 24 2007 Antoine Ginies <aginies@mandriva.com> 0.9.10.038-2mdv2008.0
+ Revision: 30639
- increase mkrel
- CVS snapshot 20070524, release 0.9.10.038
- remove unwanted changelog

* Mon May 21 2007 Antoine Ginies <aginies@mandriva.com> 0.9.10.038-1mdv2008.0
+ Revision: 29101
- cvs snapshot 20070516, release 0.9.10.038

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 0.9.10.037-2mdv2008.0
+ Revision: 17095
- Add obsoletes so that people don't keep the old binaries

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 0.9.10.037-1mdv2008.0
+ Revision: 17082
- New snapshot
- Removed main binary package as there are no longer /usr/bin/{eet,eet_bench}
- Import eet

